package HttpUnit;

import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.*;
import junit.framework.*;
import com.meterware.httpunit.*;

public class HttpUnitTestExample extends TestCase{
	String url = "http://localhost:8080/developers-1/";
        
	public void text(){
		try{
			URL serverUrl = new URL(url);
			WebConversation conversation = new WebConversation();
			WebRequest request = new GetMethodWebRequest(serverUrl,"");
			System.out.println("request: "+request);
			WebResponse response = conversation.getResponse(request);
			System.out.println("response: "+response);
			assertNotNull("url: " + url, response);
			System.out.println("url: "+url);

			WebImage logo = response.getImageWithSource("images/logo.gif");
			assertNotNull("logo",logo);
			System.out.println("image: ");

			WebLink links[] = response.getLinks();
			assertNotNull("links ", links);
			System.out.println("links");

			int counter = 0;
			for(int i=0; i < links.length; i++){
				String url =  links[i].getURLString();
				if(url.indexOf("/developers/developers/diary/listall/") != -1){
					counter++;
					System.out.println("servlet: " + links[i].asText());
				}
			}
		}
		catch (Exception ex){
			ex.printStackTrace();
			super.fail(ex.getMessage());
		}
	}

	public HttpUnitTestExample(String s){
		super(s);
	}
	public static Test suite() {
		TestSuite suite = new TestSuite();
		TestCase test = new HttpUnitTestExample("text");
		suite.addTest(test);
		return suite;
	}
	public static void main(String args[]){
		junit.textui.TestRunner.run( suite() );
	}
	
}